:root {
  --custom-height: 15px;
}

/* nav-bar */
#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar {
  --urlbar-min-height: 15px !important;
  min-height: 15px !important;
  max-height: 15px !important;
}

/* urlbar */
#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > #nav-bar-customization-target > toolbaritem[id="urlbar-container"] {
  --urlbar-container-height: 15px !important;
  padding-top: 0px !important;
  padding-bottom: 0px !important;
}

#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > #nav-bar-customization-target
> toolbaritem[id="urlbar-container"] {
  max-height: 15px !important;
}

#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > #nav-bar-customization-target
> toolbaritem[id="urlbar-container"] > #urlbar {
  --urlbar-height: 15px !important;
  --urlbar-toolbar-height: 15px !important;
}

#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > #nav-bar-customization-target
> toolbaritem[id="urlbar-container"] > #urlbar > #urlbar-input-container {
  padding: 0px !important;
}

/* toolbarbutton */
#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > #nav-bar-customization-target > toolbarbutton,
#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > #nav-bar-customization-target > toolbaritem
> toolbarbutton
{
  padding-left: 0 !important;
  padding-right: 0 !important;
  --toolbarbutton-height: 15px !important;
/*   min-height: 15px !important;
  max-height: 15px !important; */
}

#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > #nav-bar-customization-target > toolbarbutton
> image.toolbarbutton-icon,
#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > #nav-bar-customization-target > toolbaritem
> toolbarbutton > image.toolbarbutton-icon,
#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > #nav-bar-customization-target > toolbarbutton
> stack.toolbarbutton-badge-stack
{
  padding: 0 !important;
  border-radius: 0 !important;
  max-height: 15px !important;
}

/* toolbarspring */
#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > #nav-bar-customization-target > toolbarspring {
     max-height: 15px !important;
}

/* PanelUI-button */
#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > toolbaritem[id="PanelUI-button"] {

}

#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > toolbaritem[id="PanelUI-button"] > toolbarbutton {
      padding-left: 0 !important;
  padding-right: 0 !important;
}

#main-window[sizemode="maximized"]:not([uidensity]) #navigator-toolbox > #nav-bar > toolbaritem[id="PanelUI-button"]
> toolbarbutton[id="PanelUI-menu-button"] > stack.toolbarbutton-badge-stack {
  padding: 0 !important;
  border-radius: 0 !important;
  max-height: 15px !important;
}
